漏洞信息详情

UPX 输入验证错误漏洞

漏洞简介

UPX是一款可移植、可扩展的可执行压缩程序。

UPX 3.95版本中的p_vmlinx.cpp文件的‘getElfSections’函数存在输入验证错误漏洞。该漏洞源于网络系统或产品未对输入的数据进行正确的验证。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/upx/upx/issues/286

受影响实体

    暂无